function xysClosed= closeCurve(xys)

    xysClosed= xys;
    
    nPoints= size(xys, 2);
    len= getCurveLength(xys);
    meanDist= len / nPoints;
    openDist= norm(xys(:, end) - xys(:, 1));
    
    nPointsMissing= floor(openDist / meanDist);
    
    if nPointsMissing > 0
        pp(1, :)= interp1(1:2, [xys(1, end) xys(1, 1)], 1 : 1/nPointsMissing : 2);
        pp(2, :)= interp1(1:2, [xys(2, end) xys(2, 1)], 1 : 1/nPointsMissing : 2);
        xysClosed= [xysClosed pp];
    end