function vec = computeFDs(XY, nFeatures) 
    XY = closeCurve(XY);
    Ct = complex(XY(1,:), XY(2,:));
    %display(Ct);
    
    %[Ct, knots, clen] = curveBS(XY, 0.2, 5,5, 25);
    
    %display(XY);    
    nl = 64;
    %figure;
    %Ct = complex(XY(1,:), XY(2,:));
    %plot (Ct); hold on; 
    %normalize to the length of nl;
    %display(Ct);
    %display(Ct); 
    %display(length(Ct)); 
    %[Ct, clen] =ssample(Ct, nl);
    Ct = ssample(Ct, nl);
   % plot(Ct); hold on;
    % display(length(Ct));
   % figure;
   % plot ([Ct Ct(1)], 'red'); hold on;
    %plot(XY(1,:), XY(2,:)); hold on; 

    F = fft(Ct);
        
    %FIXME: das hier ist nur zum testen!
    PS = normalizedQuadrat(F); 
    
    %extract the interesting piece
    vec = extractFullRange(PS,30);
    vec = extract(nFeatures, vec);
    vec = cut(0, vec);
 %   display(vec);
    
%cut the right piece of the the PS for further use
function PSrange = extractFullRange(PS, range)
    %initialize 
    PSrange = zeros(1, range);
    clen= length(PS);
    PSrange(1,1:14) = PS(2:15);
    PSrange(1,15:30) = PS((clen-15):clen);
    
function vec = extract(nFeatures, vec)
    if mod (nFeatures, 2)  ==0 
        to = nFeatures/2;
        vec= [vec(1:to) vec(end-to+1:end)];
    else 
        to = (nFeatures -1)/2; 
        vec = [vec(1:to) vec(to+1) vec(end-to+1:end)]; 
    end
    
function vec = cut(thres, vec)
    for i=1:length(vec) 
        if vec(i)<thres
            vec(i)=0;
        end
    end
    
    
    
function ps  = normalizedQuadrat(F) 

len = size(F);
len = len(2);

%display (len);
    
%Pyy = F.* conj(F);
Pyy = abs(F);


%display(Pyy); 
leng = 0;
for i= 2:len
    leng = leng+ Pyy(i)*Pyy(i);
end
leng = sqrt(leng);


Pyy = Pyy/leng;
%display(Pyy);

ps = Pyy(1:len);


