function ensemble= newEnsembleClassifier(samples, classIds, config)

    ensemble.config= config;
    
    % get nClasses and list of ids
    ensemble.classIds= [];
    ensemble.nClasses= 0;
    minId= min(classIds);
    maxId= max(classIds);
    for id= minId : maxId
        if any(classIds == id) && all(ensemble.classIds ~= id)
            ensemble.nClasses= ensemble.nClasses + 1;
            ensemble.classIds(ensemble.nClasses)= id;
        end
    end
    
    if strcmp(config.modusTrain, 'boost')
        
    elseif strcmp(config.modusTrain, 'bag')
        
    elseif strcmp(config.modusTrain, 'nClassifiers')
        ensemble.nClassifiers= config.nClassifiers;
        for i= 1 : ensemble.nClassifiers
            ensemble.classifiers(i)= newClassifier(samples, classIds, ensemble.config.classifierConfig);
        end
    end