function scaledCurve= scaleCurve(curve, len)

    clen= size(curve, 2);
    if clen == 0, scaledCurve= []; return; end
    sFactor= len / clen;
    
    scaledCurve= zeros(2, len);
    points= 1:1/sFactor:clen;
    nPoints= length(points);
    if nPoints > len, points(len+1:end)= []; end
    if nPoints < len, points= [points points(end)*ones(1, len-nPoints)]; end
    
    scaledCurve(1, :)= interp1(1:clen, curve(1, :), points);
    scaledCurve(2, :)= interp1(1:clen, curve(2, :), points);
    
    
%     posvector= ceil(sFactor * (1 : clen));
%     for i= 1 : clen
%         scaledCurve(:, posvector(i)) = curve(:, i)' * sFactor;
%     end
%     
%     sumed= sum(scaledCurve);
%     indices= sumed == 0;
%     indices(end)= 0;
%     indices(1)= 0;
%     nGaps= sum(indices);
%     indices= find(indices);
%     if nGaps > 0
%         scaledCurve(:, indices)= (scaledCurve(:, indices-1) + scaledCurve(:, indices+1)) / 2;
%     end
%     if any(scaledCurve(:, 1) == 0), scaledCurve(:, 1)= scaledCurve(:, 2); end
%     if any(scaledCurve(:, end) == 0), scaledCurve(:, end)= scaledCurve(:, end-1); end