function plotClassifier_(classifier, plotNumbers, plotStyles)

    if nargin < 2, plotNumbers= 0; end
    if nargin < 3, plotStyles= 'rbgmcyk'; end
    
    %while length(plotStyles) < classifier.nClasses
    %    plotStyles= [plotStyles plotStyles]; 
    %end
    plotStyles = repmat(plotStyles, 1, ceil(classifier.nClasses / length(plotStyles)));
    
    for cen= 1 : classifier.nCenters
        %styleId= find(classifier.classIds == classifier.centerClassIds(cen));
        styleId = classifier.classIds == classifier.centerClassIds(cen);
        plotEllipse(classifier.centers(:, cen), classifier.radii(cen), classifier.radii(cen), 0, ...
           plotStyles(styleId) , '-');
       if plotNumbers == 0, continue; end
        text(classifier.centers(1, cen), classifier.centers(2, cen), num2str(cen), 'BackgroundColor', 'm', ...
            'HorizontalAlignment', 'Center', 'VerticalAlignment', 'Middle');
    end